Subject: Re: bug#10298: 23.1; password protected url via find-file fails at first

From: Glenn Morris <[email-masked]>
Date: Thu, 12 Jan 2012 03:17:14 -0500

Version: 24.0.93

Bastian B wrote:

> when I try to open a password protected url via find-file it fails the
> first time. It seems to be in a loop which I have to C-g. On the
> second and subsequent call it works.
>
> In GNU Emacs 23.1.1 (i386-mingw-nt6.1.7601)

When I tried:

emacs -Q -f url-handler-mode
C-x C-f http://site.needing.password.com/ RET

Emacs said

  error in process filter: url-basic-auth: Command attempted to use
  minibuffer while in minibuffer

So I made url-basic-auth enable recursive minibuffers (which seems to be
how eg Tramp handles this kind of thing).